main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('about/', views.about, name='about'), 
    path('portfolio/', views.portfolio, name='portfolio'), 
    path('extra/', views.extra, name='extra'),
    path('story1/', views.story1, name='story1'),
    path('date/', views.date, name="date"), 
]

matkul/urls.py
from django.urls import path

from . import views

app_name = 'matkul'

urlpatterns = [
    path('home/', views.matkul_home, name='matkul_home'), 
    path('create/', views.matkul_create, name='matkul_create'),
    path('details/<int:my_id>/', views.matkul_details, name='matkul_details'),
    path('delete/<int:my_id>/', views.matkul_delete, name="matkul_delete"),
]

story7/urls.py
from django.urls import path 

from story7 import views 

app_name = 'story7'

urlpatterns = [
    path('', views.home, name='home'), 
]

story_4/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path ('matkul/', include('matkul.urls')), 
    path('story_6/', include('story_6.urls')), 
    path('story_7/', include('story7.urls')), 
    path('story_8/', include('story_8.urls')), 
    path('story_9/', include('story_9.urls')), 
]

story_6/urls.py
from django.urls import path 

from . import views 

app_name = 'story_6'

urlpatterns = [
    path('', views.activities_home, name='home'),
    path('add_activity/', views.activities_add_activity, name='add_act'), 
    path('add_people/<int:id>/', views.activities_add_people, name='add_people')
]

story_8/urls.py
from django.urls import path

from . import views 

app_name = 'story_8'

urlpatterns = [
    path('', views.home, name="home"), 
    path('<str:title>/', views.data, name="data"), 
   
]

story_9/urls.py
from django.urls import path
from django.contrib.auth import views as auth_views 

from . import views 

app_name = 'story_9'

urlpatterns = [
    path('', views.home, name="home"), 
    path('register/', views.register, name="register"),  
    path('login/', auth_views.LoginView.as_view(template_name='story_9/login.html'), name="login"), 
    path('logout/', auth_views.LogoutView.as_view(template_name='story_9/home.html'), name="logout"), 
]

main/models.py
from django.db import models

# Create your models here.

matkul/models.py
from django.db import models

# Create your models here.

class MataKuliah(models.Model):
    nama = models.CharField(max_length=100)
    dosen = models.CharField(max_length=100)
    sks = models.PositiveSmallIntegerField()
    desc = models.TextField(blank=True, null=True)
    
    class Semester(models.TextChoices):
        GASAL = 'Gasal',  ('Gasal')
        GENAP = 'Genap',  ('Genap')

    semester = models.CharField(max_length=15, choices=Semester.choices, default="Gasal")
    tahun = models.CharField(max_length=9)
    ruang = models.CharField(max_length=20)

    def __str__(self):
        return self.nama

story7/models.py
from django.db import models

# Create your models here.

story_6/models.py
from django.db import models

# Create your models here.

class Activity(models.Model):
    name = models.CharField(max_length=100)
    date = models.DateField()

    def __str__(self):
        return self.name
    

class People(models.Model):
    name = models.CharField(max_length=100)
    activity = models.ForeignKey(Activity, on_delete=models.CASCADE, related_name='participant')

    def __str__(self):
        return self.name
    

story_8/models.py
from django.db import models

# Create your models here.

story_9/models.py
from django.db import models
from django.contrib.auth.models import User

# Create your models here.

class Account(models.Model):
    user = models.OneToOneField(User, on_delete=models.CASCADE)

matkul/forms.py
from django import forms

from .models import MataKuliah 

class MataKuliahForm(forms.ModelForm):
    class Meta :
        model = MataKuliah
        fields = [
            'nama', 'semester', 'tahun', 
            'dosen', 'sks', 'desc', 'ruang', 
        ]

story_6/forms.py
from django import forms
from django.forms import widgets, TextInput, DateInput
from .models import Activity, People

class ActivityForm(forms.ModelForm):
    
    class Meta:
        model = Activity
        fields = ['name', 'date']
        widgets = {
            'name' : TextInput(attrs={'placeholder' : 'Name', 'required' : True}), 
            'date' : DateInput(attrs={'placeholder' : 'YYYY-MM-DD', 'required' : True}), 
        }
            

class PeopleForm(forms.ModelForm):
    
    class Meta:
        model = People
        fields = ['name']
        widgets = {
            'name' : TextInput(attrs={'placeholder' : 'Name', 'required' : True}), 
        }

story_9/forms.py
from django import forms
from django.contrib.auth.models import User
from django.contrib.auth.forms import UserCreationForm
from .models import Account

class UserRegistrationForm(UserCreationForm):
    email = forms.EmailField()
    
    class Meta:
        model = User
        fields = ['username', 'email', 'password1', 'password2']

main/views.py
from django.shortcuts import render
from datetime import datetime


def home(request):
    return render(request, 'home.html')

def about(request):
    return render(request, 'about.html')

def portfolio(request):
    return render(request, 'portfolio.html')

def extra(request):
    return render(request, 'extra.html')

def story1(request):
    return render(request, 'story1.html')

def date(request):
    today = str(datetime.now())
    return render (request, 'date.html', {"hello":today} )

matkul/views.py
from django.shortcuts import render, redirect

from .forms import MataKuliahForm

from .models import MataKuliah

# Create your views here.

def matkul_home(request):
    obj = MataKuliah.objects.all()
    context = {
        'obj' : obj
    }
    return render(request, 'matkul_home.html', context)

def matkul_create(request):
    form = MataKuliahForm(request.POST or None)
    if form.is_valid():
        form.save() 
        return redirect('matkul:matkul_home')

    context = {
        'form' : form 
    }
    
    return render(request, 'matkul_create.html', context)

def matkul_details(request, my_id):
    obj = MataKuliah.objects.get(id=my_id)
    context = {
        'obj' : obj
    }
    return render(request, 'matkul_details.html', context)

def matkul_delete(request, my_id):
    obj = MataKuliah.objects.get(id=my_id)
    obj.delete()
    return redirect('matkul:matkul_home')

story7/views.py
from django.shortcuts import render

# Create your views here.

def home(request):
    return render(request, 'story7.html')

story_6/views.py
from django.shortcuts import render, redirect

from .forms import ActivityForm, PeopleForm

from .models import Activity, People 

# Create your views here.


def activities_home(request):
    activity = Activity.objects.all()
    peopleform = PeopleForm(request.POST or None)
    return render(request, 'activities.html', {'activity' : activity, 'peopleform' : peopleform, })

def activities_add_activity(request):
    activityform = ActivityForm(request.POST or None)
    if (activityform.is_valid() and request.method == 'POST'):
        activityform.save()
        return redirect('story_6:home')

    return render(request, 'add_activity.html', {'activityform' : activityform, })

def activities_add_people(request, id=None):
    peopleform = PeopleForm(request.POST or None)
    activity = Activity.objects.get(id=id)
    if (peopleform.is_valid() and request.method == 'POST'):
        people_name = peopleform['name'].value()
        people = People(activity=activity, name=people_name)
        people.save()
        return redirect('story_6:home')

story_8/views.py
from django.shortcuts import render
from django.http import JsonResponse  
import urllib, json

# Create your views here.

def home(request) :
    return render(request, 'story_8.html')

def data(request, title) :
    link = urllib.parse.quote("https://www.googleapis.com/books/v1/volumes?q="+ title,"/:?=")
    with urllib.request.urlopen(link) as url:
        global data 
        data = json.loads(url.read().decode())
    
    return JsonResponse(data, safe=False)

story_9/views.py
from django.shortcuts import render, redirect
from .forms import UserRegistrationForm
from .models import Account
# Create your views here.

def home(request):
    return render(request, 'story_9/home.html')

def register(request):
    if request.method == "POST":
        form = UserRegistrationForm(request.POST)
        if form.is_valid():
            user = form.save()
            return redirect('story_9:login')
    else:
        form = UserRegistrationForm()
    return render(request, 'story_9/register.html', {'form':form})

main/templates/extra.html
{% extends 'base.html' %}

{% load static %}

{% block meta %}
  <title>Contacts</title>
{% endblock meta %}
  
    
  {% block content %}

  <div class="pink">
  <div class="center">
  <h1>The End?</h1>
  <br>
  <p id="message">You are currently navigating my website for Story 3 and 4. Thanks for visiting my website!</p> 
  <br>
   <p><b>Scroll below to navigate to my previous story projects</b></p>
   <br>
     <br>
<h3>Past Projects</h3>
<br>
<h5>Story 1 : Static website</h5>
    <a class="btn btn-light" href="{% url 'main:story1' %}" role="button" id="project">Learn More  ></a>
  
<br>
<h5>Story 2 : Designing a Website</h5>

<div id="social"> 
<div> 
<p id="title">Wireframe</p>
  <a class="btn btn-light" href="https://www.figma.com/file/m50Ghdgch50Wy3EqGesKz4/PPW-Story-2?node-id=0%3A1" role="button" id="project">Explore  ></a>
 </div>
 <div> 
 <p id="title">Prototype</p> 
  <a class="btn btn-light" href="https://www.figma.com/proto/m50Ghdgch50Wy3EqGesKz4/Story-2?node-id=1%3A1048&scaling=scale-down-width" role="button" id="project">Explore  ></a>
 </div>
  <br>
  </div>

</div>
</div>
</div>
  {% endblock content %}

main/templates/home.html
{% extends 'base.html' %}

{% load static %}

{% block meta %}
  <title>Home</title>
{% endblock meta %}
  
{% block content %}
    <!--Profile-->
    <div class="white">
        <div id="row">
            <div class="textbox">
                <h1 class="textbox">Nathania Calista.</h1>
                <p class="textbox">Information System student in University of Indonesia. I aim to give meaningful impacts through my design and my writing.</p>
                <a class="btn btn-light" href="{% url 'main:about' %}" role="button" id="white-button">Learn More  ></a>
              </div>
            <img  id="self" src="{% static 'img/self.png' %}"  width="35%" height="auto" alt="self photo" > 
        </div>
    </div>
  

  <div class="pink">
    <div id="row-reverse">
      <div class="textbox" id="reverse">
        <h1 class="textbox" id="wide">Works and Portfolios.</h1>
        <p class="textbox">People often say a picture is worth a thousand words. To explore my works and portfolios, click on the button below. </p>
        <a class="btn btn-light" href="{% url 'main:portfolio' %}" role="button" id="white-button">Learn More  ></a>
      </div>
      <img id="pic-left" src="{% static 'img/ml1.png' %}" width="40%" height="auto"  alt="portfolio">
    </div>
  </div>

<!-- Contacts -->
<div class="white">
  <div class="center" >
    <h1 class="center">Get in Touch. Stay Connected.</h1>
    <p class="center">You can contact me through one of these links below or email me at <a href="mailto:nathaniacalist@gmail.com" id="bold-link">nathaniacalist@gmail.com</a></p>
    <div id="social">
        <a href="https://open.spotify.com/playlist/5GpqcXTD9FOe3uTInYmx3b?si=yu4PEoBgRYyvS7tJI3AJPQ" ><img src="{% static 'img/spotify.png' %}" width="60%" height="auto" alt="spotify"></a>
        <a href="https://www.linkedin.com/in/nathania-calista/"><img src="{% static 'img/linkedin.png' %}" width="60%" height="auto" alt="linkedin"></a>
        <a href="https://www.instagram.com/nathaniacalist/"><img src="{% static 'img/ig.png' %}" width="60%" height="auto" alt="instagram"></a>
    </div>
  </div>
</div>


{% endblock content %}

matkul/templates/matkul_details.html
{% extends 'base-2.html' %}

{% block meta %}
<title>Detail Mata Kuliah </title>
{% endblock meta %}


{% block content %}

<div style="padding:4rem; width:50%;">

    <h2>{{obj.nama}}</h2>

    <p>{{obj.sks}} SKS, {{obj.semester}} {{obj.tahun}}</p>

    <h5>Dosen :</h5>
    <p>{{obj.dosen}}</p>

    <h5>Ruang :</h5>
    <p>{{obj.ruang}}</p>

    <h5>Deskripsi</h5>
    <p>{{obj.desc}}</p>

    <div>

        <a class="btn btn-primary" href="{% url 'matkul:matkul_home' %}" role="button">Back to Home</a>
        <a href="{% url 'matkul:matkul_delete' my_id=obj.id %}" class="btn btn-danger">Delete</a>
    </div>


</div>



{% endblock content %}

matkul/templates/matkul_home.html
{% extends 'base-2.html' %}

{% load static %}


{% block meta %}
<title>Mata Kuliahku</title>
{% endblock meta %}

{% block content %}

<div style="padding:4rem;">
<h2>Mata Kuliahku</h2>
<br>
<a class="btn btn-primary" href="{% url 'matkul:matkul_create' %}" role="button">+ Tambah Mata Kuliah</a>
<br>
<br>
    <div style="display:inline-block;">
        <div style="display:flex;">
        {% for o in obj %}
        <div class="card" style="width: 18rem; margin-right:1rem">
        <div class="card-body">
            <h5 class="card-title">{{o.nama}}</h5>
            <h6 class="card-subtitle mb-2 text-muted">{{o.dosen}}</h6>
            <p class="card-text">{{o.desc}}</p>
            <a href="{% url 'matkul:matkul_details' my_id=o.id %}" class="btn btn-primary">Details</a>
            <a href="{% url 'matkul:matkul_delete' my_id=o.id %}" class="btn btn-danger">Delete</a>
        </div>
        </div>
        {% endfor %}
        </div>
    </div>
</div>

{% endblock content %}

story_6/templates/activities.html
{% extends 'base-2.html' %}

{% load static %}
{% load crispy_forms_tags %}

{% block meta %}
<title>Activities</title>
{% endblock meta %}

{% block content %}


<div style="padding:4rem;">
    <h2>My Activities</h2>
    <br>
        <a class="btn btn-primary" href="{% url 'story_6:add_act' %}" role="button">+ New Activity</a>
    <br>
    <br>
    <div style="display:inline-block;">
        <div style="display:flex;">
            {% if activity %}
                {% for act in activity %}
                    <div class="card" style="width: 18rem; margin-right:1rem">
                    <div class="card-body">
                        <h5 class="card-title">{{act.name}}</h5>
                        <h6 class="card-subtitle mb-2 text-muted">{{act.date}}</h6>

                            {% if act.participant.all|length > 0 %}
                             <ul>
                                {% for n in act.participant.all %}
                                    <li>{{n}}</li>
                                {% endfor %}         
                            </ul>
                                {% else %}
                                <p>Tambah orang...</p>
                                {% endif %}
                    <div>     
                        <form action="{% url 'story_6:add_people' id=act.id %}" method="POST">
                            {% csrf_token %}
                            {{ peopleform.name }}
                              <input type='submit' value='Simpan'/>
                        </form>
                  
                    </div>
            </div>
            </div>
       
          {% endfor %}
  {% endif %}
    </div>
 </div>

</div>

{% endblock content %}

story_9/templates/story_9/home.html
{% extends 'base-3.html' %}
{% load static %}

{% block meta %}
<title>Story 9</title>
<link rel="stylesheet" type="text/css"  href="{% static 'css/story_9.css' %}">
{% endblock meta %}

{% block content %}
<div class="column">

    <div class="header">
    <h2>User Login</h2>
    </div>

    <div class="img">
      <img src="{% static 'img/undraw_creation_rd0e.svg' %}" alt="" width="240px">
    </div>
    
    {% if user.is_authenticated %}
        <h2>Welcome, {{user.username}}</h2>
    {% else %}
    <div class="column">
        <a class="button-fill" href="{% url 'story_9:register' %}">Sign Up</a>
        <a class="button-outline" href="{% url 'story_9:login' %}">Log In</a>
    </div>
    {% endif %}
</div>
{% endblock content %}

story_9/templates/story_9/login.html
{% extends 'base-3.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block meta %}
<title>Story 9 - Login</title>
<link rel="stylesheet" type="text/css"  href="{% static 'css/story_9.css' %}">
{% endblock meta %}

{% block content %}
    <div class="container pb-5">

        <div class="header">
        <h2>Login</h2>
        </div>

        <div class="center">
        <form method="POST">
            {% csrf_token %}
            <fieldset class="form-group">
            {{ form|crispy }}
            </fieldset>
            <div class="column">
            <button class="button-fill" type="submit"> Login </button>
            </div>
        </form>
         <div class="column">
        <small class="text-muted">
            Don't have an account? <a class="ml-2" href="{% url 'story_9:register' %}">Register</a>
        </small>
        </div>
        </div>
    </div>
{% endblock content %}

templates/base-2.html
{% load static %}

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    {% block meta %}
    <!--Isi dari title tiap halaman-->
    {% endblock meta %}
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

</head>

<body style="background-color:#D4F1F4;">

    <!-- Navbar-->

   <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav ml-auto">
            <li class="nav-item">
            <a class="nav-link" href="{% url 'main:home' %}">Home <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
            <a class="nav-link" href="{% url 'main:about' %}">About</a>
            </li>
            <li class="nav-item">
            <a class="nav-link" href="{% url 'main:portfolio' %}">Portfolio</a>
            </li>
            <li class="nav-item">
            <a class="nav-link" href="{% url 'main:extra' %}">Extra</a>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                  Other Story Links
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                  <a class="dropdown-item" href="{% url 'matkul:matkul_home' %}">Story 5</a>
                  <a class="dropdown-item" href="{% url 'story_6:home' %}">Story 6</a>
                  <a class="dropdown-item" href="{% url 'story7:home' %}">Story 7</a>
                  <a class="dropdown-item" href="{% url 'story_8:home' %}">Story 8</a>
                  <a class="dropdown-item" href="{% url 'story_9:home' %}">Story 9</a>
                </div>
              </li>
        </ul>
     </div>
    </nav>

    {% block content %}


    <!--Isi dari halaman HTML-->


    {% endblock content %}

    <!--Bootstrap Script-->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        crossorigin="anonymous"></script>
    
    {% block script %}

    <!--Script tambahan-->

    {% endblock script %}

</body>

</html>

templates/base-3.html
{% load static %}

<!--Navbar for Story 9-->

<!DOCTYPE html>
 <html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    {% block meta %}
    <!--Isi dari title tiap halaman-->
    {% endblock meta %}
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

</head>

<body style="background-color:#D4F1F4;">

    <!-- Navbar-->

   <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav ml-auto">
            <li class="nav-item">
            <a class="nav-link" href="{% url 'main:home' %}">Home <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
            <a class="nav-link" href="{% url 'main:about' %}">About</a>
            </li>
            <li class="nav-item">
            <a class="nav-link" href="{% url 'main:portfolio' %}">Portfolio</a>
            </li>
            <li class="nav-item">
            <a class="nav-link" href="{% url 'main:extra' %}">Extra</a>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                  Other Story Links
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                  <a class="dropdown-item" href="{% url 'matkul:matkul_home' %}">Story 5</a>
                  <a class="dropdown-item" href="{% url 'story_6:home' %}">Story 6</a>
                  <a class="dropdown-item" href="{% url 'story7:home' %}">Story 7</a>
                  <a class="dropdown-item" href="{% url 'story_8:home' %}">Story 8</a>
                  <a class="dropdown-item" href="{% url 'story_9:home' %}">Story 9</a>
                </div>
              </li>
              <li class="nav-item">
                {% if user.is_authenticated %}
                <a class="nav-link" href="{% url 'story_9:logout' %}">Log Out</a>
                {% else %}
                <a class="nav-link" href="{% url 'story_9:login' %}">Log In</a>
                {% endif %}
             </li>
        </ul>
     </div>
    </nav>

    {% block content %}


    <!--Isi dari halaman HTML-->


    {% endblock content %}

    <!--Bootstrap Script-->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        crossorigin="anonymous"></script>
    
    {% block script %}

    <!--Script tambahan-->

    {% endblock script %}

</body>

</html>

templates/base.html
{% load static %}

 <!DOCTYPE html>
 <html lang="en">
 <head>
     <meta charset="UTF-8">
     <meta name="viewport" content="width=device-width, initial-scale=1.0">
    {% block meta %}
    <!--Isi dari title tiap halaman-->
    {% endblock meta %}
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css"  href="{% static 'css/normalize.css' %}">
    <link rel="stylesheet" type="text/css"  href="{% static 'css/style.css' %}">
 </head>
 <body>

    <!-- Navbar--> 

    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav ml-auto">
            <li class="nav-item">
            <a class="nav-link" href="{% url 'main:home' %}">Home <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
            <a class="nav-link" href="{% url 'main:about' %}">About</a>
            </li>
            <li class="nav-item">
            <a class="nav-link" href="{% url 'main:portfolio' %}">Portfolio</a>
            </li>
            <li class="nav-item">
            <a class="nav-link" href="{% url 'main:extra' %}">Extra</a>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                  Other Story Links
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                  <a class="dropdown-item" href="{% url 'matkul:matkul_home' %}">Story 5</a>
                  <a class="dropdown-item" href="{% url 'story_6:home' %}">Story 6</a>
                  <a class="dropdown-item" href="{% url 'story7:home' %}">Story 7</a>
                  <a class="dropdown-item" href="{% url 'story_8:home' %}">Story 8</a>
                  <a class="dropdown-item" href="{% url 'story_9:home' %}">Story 9</a>
                </div>
              </li>
        </ul>
     </div>
    </nav>
    
{% block content %}

<!--Isi dari home.html, about.html, portfolio.html atau extra.html-->

{% endblock content %}

<!-- Footer -->
<div class="footer">
    <div id="footer_link">
        <a href="{% url 'main:home' %}"class="footer">Home</a>
        <a href="{% url 'main:about' %}" class="footer">About</a>
        <a href="{% url 'main:portfolio' %}" class="footer">Portfolio</a>
        <a href="{% url 'main:extra' %}" class="footer">Extra</a>
    </div>
    <hr>
    <footer>© Nathania Calista 2020</footer>
</div>

<!--Bootstrap Script-->
<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>

   
 </body>
 </html>
 